# verifySignature | xrpl
Documentation for xrpl

# Function verifySignature

- verifySignature(tx): boolean

- Verifies that the given transaction has a valid signature based on public-key encryption.

  #### Parameters

  - ##### tx: string | Transaction

    A transaction to verify the signature of. (Can be in object or encoded string format).

  #### Returns boolean

  Returns true if tx has a valid signature, and returns false otherwise.

  - Defined in packages/xrpl/src/Wallet/signer.ts:94

Generated using TypeDoc